Skip to main content
GET
/
v1
/
pvt
/
Reports
/
ListCustomersReport
Returns a list of customers with their points balance, points to expire and point history.
curl --request GET \
  --url https://api.bonifiq.com.br/v1/pvt/Reports/ListCustomersReport \
  --header 'Authorization: Basic <encoded-value>'
{
  "Items": [
    {
      "InternalId": "<string>",
      "OriginalId": "<string>",
      "Name": "<string>",
      "Email": "<string>",
      "Phone": "<string>",
      "Document": "<string>",
      "BirthdayDate": "2023-11-07T05:31:56Z",
      "SignupDate": "2023-11-07T05:31:56Z",
      "IsEnrolled": true,
      "CreatedDate": "2023-11-07T05:31:56Z",
      "PointsBalance": 123,
      "CashbackBalance": 123,
      "PointsToExpire": [
        {
          "Points": 123,
          "When": "2023-11-07T05:31:56Z"
        }
      ],
      "PointHistory": [
        {
          "Id": 123,
          "DateReceived": "2023-11-07T05:31:56Z",
          "ExpirationDate": "2023-11-07T05:31:56Z",
          "Amount": 123,
          "CashbackAmount": 123,
          "BranchId": "<string>",
          "BranchName": "<string>",
          "PointType": 123,
          "PointTypeDescription": "<string>"
        }
      ]
    }
  ],
  "TotalItemCount": 123,
  "PageSize": 123,
  "PageNumber": 123,
  "HasNextPage": true,
  "HasError": true,
  "ErrorMessages": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Use API Basic Auth Keys

Query Parameters

from
string<date-time> | null

Optional start date for filtering customers by creation date

to
string<date-time> | null

Optional end date for filtering customers by creation date

document
string | null

Optional filter by customer document (CPF/CNPJ)

email
string | null

Optional filter by customer email

originalId
string | null

Optional filter by customer original ID (store ID)

isEnrolled
boolean
default:true

Filter by enrolled status (default: true - only active customers)

pointDateFrom
string<date-time> | null

Optional start date for filtering customers by point event date

pointDateTo
string<date-time> | null

Optional end date for filtering customers by point event date

pageNumber
integer<int32>
default:1

Page number for pagination (default: 1)

pageSize
integer<int32>
default:10

Number of items per page (default: 10, max: 500)

Response

200 - application/json

Paginated list of customers with points data

Base List response model methods

Items
object[] | null

Collection with the found entities on the bonifiq DB.

TotalItemCount
integer<int32>

Total of rewards Configurations founds.

PageSize
integer<int32>

Pagination size

PageNumber
integer<int32>

Actual Page Number

HasNextPage
boolean

true if there is another page to be load.

HasError
boolean

If true the request had an error.

ErrorMessages
string[]

List with the error messages